Coin: SoAlarmSensor Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoAlarmSensor Class Reference
Sensor Classes

The SoAlarmSensor class is a sensor which will trigger once at a specified time. More...

`#include <Inventor/sensors/SoAlarmSensor.h>`

Inheritance diagram for SoAlarmSensor:

## Public Member Functions
| SoAlarmSensor (void)
| SoAlarmSensor (SoSensorCB *func, void *data)
virtual | ~SoAlarmSensor (void)
void | setTime (const SbTime &abstime)
void | setTimeFromNow (const SbTime &reltime)
const SbTime & | getTime (void) const
virtual void | schedule (void)
Public Member Functions inherited from SoTimerQueueSensor
| SoTimerQueueSensor (void)
| SoTimerQueueSensor (SoSensorCB *func, void *data)
virtual | ~SoTimerQueueSensor (void)
const SbTime & | getTriggerTime (void) const
virtual void | unschedule (void)
virtual SbBool | isScheduled (void) const
virtual void | trigger (void)
Public Member Functions inherited from SoSensor
| SoSensor (void)
| SoSensor (SoSensorCB *func, void *data)
virtual | ~SoSensor (void)
void | setFunction (SoSensorCB *callbackfunction)
SoSensorCBPtr | getFunction (void) const
void | setData (void *callbackdata)
void * | getData (void) const
void | setNextInQueue (SoSensor *next)
SoSensor * | getNextInQueue (void) const

## Additional Inherited Members
Static Public Member Functions inherited from SoSensor
static void | initClass (void)
Protected Member Functions inherited from SoTimerQueueSensor
void | setTriggerTime (const SbTime &time)
Protected Attributes inherited from SoTimerQueueSensor
SbBool | scheduled
Protected Attributes inherited from SoSensor
SoSensorCB * | func
void * | funcData

## Detailed Description

The SoAlarmSensor class is a sensor which will trigger once at a specified time.

SoAlarmSensor provides a convenient way of setting up triggers for jobs which should be executed only once when they are scheduled.

## Constructor & Destructor Documentation

## ◆ SoAlarmSensor() [1/2]

SoAlarmSensor::SoAlarmSensor | ( | void |  | ) |

Default constructor.

## ◆ SoAlarmSensor() [2/2]

SoAlarmSensor::SoAlarmSensor | ( | SoSensorCB * | func,
|  | void * | data )

Constructor taking as parameters the sensor callback function and the userdata which will be passed to the callback.

See also
  setFunction(), setData()

## ◆ ~SoAlarmSensor()

SoAlarmSensor::~SoAlarmSensor | ( | void |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ setTime()

void SoAlarmSensor::setTime | ( | const SbTime & | abstime | ) |

Set the time at which the sensor will trigger.

Note that you must manually schedule() the sensor after calling this method.

See also
  setTimeFromNow(), getTime()

## ◆ setTimeFromNow()

void SoAlarmSensor::setTimeFromNow | ( | const SbTime & | reltime | ) |

Set the alarm to be triggered at a specified offset from the current time.

Note that you must manually schedule() the sensor after calling this method.

See also
  setTime(), getTime()

## ◆ getTime()

const SbTime & SoAlarmSensor::getTime | ( | void |  | ) | const

Returns the trigger time for the alarm as an absolute value from 1970-01-01 00:00:00.

See also
  setTime(), setTimeFromNow()

## ◆ schedule()

void SoAlarmSensor::schedule | ( | void |  | ) |
| virtual

Put the sensor in the global timer queue.

See also
  unschedule(), isScheduled()

Reimplemented from SoTimerQueueSensor.

The documentation for this class was generated from the following files:

- SoAlarmSensor.h
- SoAlarmSensor.cpp